<?php
/**
 * app/plugins/portfolio/controllers/portfolio.php
 *
 * This is the bug reports controller.
 *
 * @package TP Portfolio
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Classes\Controller;
use TheTempusProject\Models\Links;

class Portfolio extends Controller {
    protected static $links;

    public function index() {
        self::$links = new Links;
        self::$title = '{SITENAME} - Portfolio';
        self::$pageDescription = 'Its not the longest portfolio in the world, but I\'m certainly proud of it.';

        $links = self::$links->listPaginated();
        if ( false == $links ) {
            Issues::add( 'error', 'Well, this is embarrassing, surely he wouldn\'t just have no portfolio..... right.... Dave? ... erm Joey?' );
            return;
        } else {
            Views::view( 'portfolio.portfolio', self::$links->listPaginated() );
        }
    }
}
